<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <title>Task 32.60</title>
</head>

<body>
    <div class="container">
        <div class="text-center my-10">
            <h2>DANH SÁCH ẢNH CỦA ALBUM SỐ 3</h2>
        </div>

        <table class="table table-bordered table-striped table-hover" id="table-users">
            <thead>
                <tr>
                    <th>STT</th>
                    <th>Album</th>
                    <th>Title</th>
                    <th>Url ảnh</th>
                    <th>Thumbnail</th>
                </tr>
            </thead>
            <tbody></tbody>
        </table>
    </div>
    ​

</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    onPageLoading();
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading() {
        callAPIGetDataUser();
    }

    //hàm load user data dùng ajax
    function callAPIGetDataUser() {
        "use strict";
        $.ajax({
            url: "https://jsonplaceholder.typicode.com/albums/3/photos",
            type: "GET",
            dataType: "json",
            success: function (res) {
                console.log(res);
                loadDataToTable(res);
            },
            error: function (ajaxContext) {
                alert(ajaxContext.responseText);
            },
        });
    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    //{albumId: 3, id: 101, title: 'incidunt alias vel enim', url: 'https://via.placeholder.com/600/e743b', thumbnailUrl: 'https://via.placeholder.com/150/e743b'}
    function loadDataToTable(paramUser) {
        var vTableUser = $("#table-users");
        //   $("#table-users tbody").empty();
        for (var bI = 0; bI < paramUser.length; bI++) {
            var vNewRow = $("<tr>")
                .appendTo(vTableUser)
                
            $("<td>", { html: bI + 1 }).appendTo(vNewRow);
            $("<td>", { html: paramUser[bI].albumId }).appendTo(vNewRow);
            $("<td>", { html: paramUser[bI].title }).appendTo(vNewRow);
            $("<td>", { html: paramUser[bI].url }).appendTo(vNewRow);
            $("<td>", { html: "<img src=" + paramUser[bI].thumbnailUrl + ">", }).appendTo(vNewRow);
        }
    }
</script>

</html>
